Skip to content

Services

All operations require authentication.

3 operationsv2/networkDefense/vac
Agent setup

List VAC resourcesProduction

GET
/v2/networkDefense/vac/resource

Returns the list of VAC DDoS protection resources within the account. Every resource groups policies, profile and sensitivity with target IP address prefixes in order to tune detection and mitigation rules.

Query parameters

iamTags
object

Filter resources on IAM tags

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200ResourceWithIAM[]successful operation
createdAt
read-only
stringdate-time

Date and time the resource was created

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
stringuuid

Unique identifier of the resource

name
read-only
string

Name you chose for the resource

resourceStatus
read-only
ResourceStatusEnum

Current status of the resource. For a VAC resource this is only ever READY or DELETING.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
updatedAt
read-only
stringdate-time

Date and time the resource was last updated

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/networkDefense/vac/resource \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "name": "string", "resourceStatus": "CREATING", "updatedAt": "2024-01-01T12:00:00Z" }]

Get a VAC resourceProduction

GET
/v2/networkDefense/vac/resource/{resourceName}

Returns a VAC DDoS protection resource with its name, status and creation and update dates. The status is READY, or DELETING while the resource is being removed.

Path parameters

resourceName
required
stringuuid

Resource name

Response

200ResourceWithIAMsuccessful operation
createdAt
read-only
stringdate-time

Date and time the resource was created

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
stringuuid

Unique identifier of the resource

name
read-only
string

Name you chose for the resource

resourceStatus
read-only
ResourceStatusEnum

Current status of the resource. For a VAC resource this is only ever READY or DELETING.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
updatedAt
read-only
stringdate-time

Date and time the resource was last updated

404objectError 404 response

Example uses resourceName = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/networkDefense/vac/resource/{resourceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "name": "string", "resourceStatus": "CREATING", "updatedAt": "2024-01-01T12:00:00Z"}

Rename a VAC resourceProduction

PUT
/v2/networkDefense/vac/resource/{resourceName}

Changes the name of a VAC DDoS protection resource. No other field can be updated through this call.

Path parameters

resourceName
required
stringuuid

Resource name

Request body (required)

name
required
string

New name for the resource

Response

200Resourcesuccessful operation
createdAt
read-only
stringdate-time

Date and time the resource was created

id
read-only
stringuuid

Unique identifier of the resource

name
read-only
string

Name you chose for the resource

resourceStatus
read-only
ResourceStatusEnum

Current status of the resource. For a VAC resource this is only ever READY or DELETING.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
updatedAt
read-only
stringdate-time

Date and time the resource was last updated

400objectError 400 response
404objectError 404 response

Example uses resourceName = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/networkDefense/vac/resource/{resourceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "resourceStatus": "CREATING", "updatedAt": "2024-01-01T12:00:00Z"}